<?php

/**
 * Header Options
 *
 * @package dark_fitness
 */


// ---------------------------------------- GENERAL OPTIONBS ----------------------------------------------------


// ---------------------------------------- PRELOADER ----------------------------------------------------

$wp_customize->add_section(
	'dark_fitness_general_options',
	array(
		'panel' => 'dark_fitness_theme_options',
		'title' => esc_html__( 'General Options', 'dark-fitness' ),
	)
);

// Add Separator Custom Control
$wp_customize->add_setting( 'dark_fitness_preloader_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Dark_Fitness_Separator_Custom_Control( $wp_customize, 'dark_fitness_preloader_separator', array(
	'label' => __( 'Enable / Disable Site Preloader Section', 'dark-fitness' ),
	'section' => 'dark_fitness_general_options',
	'settings' => 'dark_fitness_preloader_separator',
) ) );


// General Options - Enable Preloader.
$wp_customize->add_setting(
	'dark_fitness_enable_preloader',
	array(
		'sanitize_callback' => 'dark_fitness_sanitize_switch',
		'default'           => false,
	)
);

$wp_customize->add_control( new Dark_Fitness_Toggle_Switch_Custom_Control(
		$wp_customize,
		   'dark_fitness_enable_preloader',
		array(
			'label'   => esc_html__( 'Enable Preloader', 'dark-fitness' ),
			'section' => 'dark_fitness_general_options',
		)
	)
);

// Preloader Style Setting
$wp_customize->add_setting(
    'dark_fitness_preloader_style',
    array(
        'default'           => 'style1',
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control(
    'dark_fitness_preloader_style',
    array(
        'type'     => 'select',
        'label'    => esc_html__('Select Preloader Styles', 'dark-fitness'),
		'active_callback' => 'dark_fitness_is_preloader_style',
        'section'  => 'dark_fitness_general_options',
        'choices'  => array(
            'style1' => esc_html__('Style 1', 'dark-fitness'),
            'style2' => esc_html__('Style 2', 'dark-fitness'),
            'style3' => esc_html__('Style 3', 'dark-fitness'),
        ),
    )
);


// Preloader Background Color Setting
$wp_customize->add_setting(
	'dark_fitness_preloader_background_color_setting',
	 array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize, 'dark_fitness_preloader_background_color_setting', 
		array(
			'label' => __('Preloader Background Color', 'dark-fitness'),
			'active_callback' => 'dark_fitness_is_preloader_style',
			'section' => 'dark_fitness_general_options',
		)
	)
);

// Preloader Background Image Setting
$wp_customize->add_setting(
	'dark_fitness_preloader_background_image_setting', 
	array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	new WP_Customize_Image_Control(
		$wp_customize, 'dark_fitness_preloader_background_image_setting',
		 array(
			'label' => __('Preloader Background Image', 'dark-fitness'),
			'active_callback' => 'dark_fitness_is_preloader_style',
			'section' => 'dark_fitness_general_options',
		)
	)
);

// ---------------------------------------- PAGINATION ----------------------------------------------------

// Add Separator Custom Control
$wp_customize->add_setting( 'dark_fitness_pagination_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Dark_Fitness_Separator_Custom_Control( $wp_customize, 'dark_fitness_pagination_separator', array(
	'label' => __( 'Enable / Disable Pagination Section', 'dark-fitness' ),
	'section' => 'dark_fitness_general_options',
	'settings' => 'dark_fitness_pagination_separator',
) ) );

// Pagination - Enable Pagination.
$wp_customize->add_setting(
	'dark_fitness_enable_pagination',
	array(
		'default'           => true,
		'sanitize_callback' => 'dark_fitness_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Dark_Fitness_Toggle_Switch_Custom_Control(
		$wp_customize,
		'dark_fitness_enable_pagination',
		array(
			'label'    => esc_html__( 'Enable Pagination', 'dark-fitness' ),
			'section'  => 'dark_fitness_general_options',
			'settings' => 'dark_fitness_enable_pagination',
			'type'     => 'checkbox',
		)
	)
);

// Pagination - Pagination Type.
$wp_customize->add_setting(
	'dark_fitness_pagination_type',
	array(
		'default'           => 'default',
		'sanitize_callback' => 'dark_fitness_sanitize_select',
	)
);

$wp_customize->add_control(
	'dark_fitness_pagination_type',
	array(
		'label'           => esc_html__( 'Pagination Type', 'dark-fitness' ),
		'section'         => 'dark_fitness_general_options',
		'settings'        => 'dark_fitness_pagination_type',
		'active_callback' => 'dark_fitness_is_pagination_enabled',
		'type'            => 'select',
		'choices'         => array(
			'default' => __( 'Default (Older/Newer)', 'dark-fitness' ),
			'numeric' => __( 'Numeric', 'dark-fitness' ),
		),
	)
);


// ---------------------------------------- BREADCRUMB ----------------------------------------------------


// Add Separator Custom Control
$wp_customize->add_setting( 'dark_fitness_breadcrumb_separators', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Dark_Fitness_Separator_Custom_Control( $wp_customize, 'dark_fitness_breadcrumb_separators', array(
	'label' => __( 'Enable / Disable Breadcrumb Section', 'dark-fitness' ),
	'section' => 'dark_fitness_general_options',
	'settings' => 'dark_fitness_breadcrumb_separators',
)));


// Breadcrumb - Enable Breadcrumb.
$wp_customize->add_setting(
	'dark_fitness_enable_breadcrumb',
	array(
		'sanitize_callback' => 'dark_fitness_sanitize_switch',
		'default'           => true,
	)
);

$wp_customize->add_control(
	new Dark_Fitness_Toggle_Switch_Custom_Control(
		$wp_customize,
		'dark_fitness_enable_breadcrumb',
		array(
			'label'   => esc_html__( 'Enable Breadcrumb', 'dark-fitness' ),
			'section' => 'dark_fitness_general_options',
		)
	)
);

// Breadcrumb - Separator.
$wp_customize->add_setting(
	'dark_fitness_breadcrumb_separator',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default'           => '/',
	)
);

$wp_customize->add_control(
	'dark_fitness_breadcrumb_separator',
	array(
		'label'           => esc_html__( 'Separator', 'dark-fitness' ),
		'active_callback' => 'dark_fitness_is_breadcrumb_enabled',
		'section'         => 'dark_fitness_general_options',
	)
);




// ---------------------------------------- Website layout ----------------------------------------------------


// Add Separator Custom Control
$wp_customize->add_setting( 'dark_fitness_layuout_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Dark_Fitness_Separator_Custom_Control( $wp_customize, 'dark_fitness_layuout_separator', array(
	'label' => __( 'Website Layout Setting', 'dark-fitness' ),
	'section' => 'dark_fitness_general_options',
	'settings' => 'dark_fitness_layuout_separator',
)));


$wp_customize->add_setting(
	'dark_fitness_website_layout',
	array(
		'sanitize_callback' => 'dark_fitness_sanitize_switch',
		'default'           => false,
	)
);

$wp_customize->add_control(
	new Dark_Fitness_Toggle_Switch_Custom_Control(
		$wp_customize,
		'dark_fitness_website_layout',
		array(
			'label'   => esc_html__('Boxed Layout', 'dark-fitness'),
			'section' => 'dark_fitness_general_options',
		)
	)
);


$wp_customize->add_setting('dark_fitness_layout_width_margin', array(
	'default'           => 50,
	'sanitize_callback' => 'dark_fitness_sanitize_range_value',
));

$wp_customize->add_control(new Dark_Fitness_Customize_Range_Control($wp_customize, 'dark_fitness_layout_width_margin', array(
		'label'       => __('Set Width', 'dark-fitness'),
		'description' => __('Adjust the width around the website layout by moving the slider. Use this setting to customize the appearance of your site to fit your design preferences.', 'dark-fitness'),
		'section'     => 'dark_fitness_general_options',
		'settings'    => 'dark_fitness_layout_width_margin',
		'active_callback' => 'dark_fitness_is_layout_enabled',
		'input_attrs' => array(
			'min'  => 0,
			'max'  => 130,
			'step' => 1,
		),
)));





// ---------------------------------------- HEADER OPTIONS ----------------------------------------------------

$wp_customize->add_section(
	'dark_fitness_header_options',
	array(
		'panel' => 'dark_fitness_theme_options',
		'title' => esc_html__( 'Header Options', 'dark-fitness' ),
	)
);


// Add setting for sticky header
$wp_customize->add_setting(
	'dark_fitness_enable_sticky_header',
	array(
		'sanitize_callback' => 'dark_fitness_sanitize_switch',
		'default'           => false,
	)
);

// Add control for sticky header setting
$wp_customize->add_control(
	new Dark_Fitness_Toggle_Switch_Custom_Control(
		$wp_customize,
		'dark_fitness_enable_sticky_header',
		array(
			'label'   => esc_html__( 'Enable Sticky Header', 'dark-fitness' ),
			'section' => 'dark_fitness_header_options',
		)
	)
);

// Header Options - Enable Topbar.
$wp_customize->add_setting(
	'dark_fitness_enable_topbar',
	array(
		'sanitize_callback' => 'dark_fitness_sanitize_switch',
		'default'           => true,
	)
);

$wp_customize->add_control(
	new Dark_Fitness_Toggle_Switch_Custom_Control(
		$wp_customize,
		'dark_fitness_enable_topbar',
		array(
			'label'   => esc_html__( 'Enable Topbar', 'dark-fitness' ),
			'section' => 'dark_fitness_header_options',
		)
	)
);

// Header Options - Contact Number.
$wp_customize->add_setting(
	'dark_fitness_contact_number',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'dark_fitness_contact_number',
	array(
		'label'           => esc_html__( 'Contact Number', 'dark-fitness' ),
		'section'         => 'dark_fitness_header_options',
		'type'            => 'text',
		'active_callback' => 'dark_fitness_is_topbar_enabled',
	)
);

// icon // 
$wp_customize->add_setting(
	'dark_fitness_call_header_icon',
	array(
        'default' => 'fas fa-phone-alt',
		'sanitize_callback' => 'sanitize_text_field',
		'capability' => 'edit_theme_options',
		
	)
);	
$wp_customize->add_control(new Dark_Fitness_Change_Icon_Control($wp_customize, 
	'dark_fitness_call_header_icon',
	array(
	    'label'   		=> __('Call Icon','dark-fitness'),
	    'section' 		=> 'dark_fitness_header_options',
		'active_callback' => 'dark_fitness_is_topbar_enabled',
		'iconset' => 'fa',
	))  
);

// Header Options - Custom Button Label.
$wp_customize->add_setting(
	'dark_fitness_menu_custom_button_label',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'dark_fitness_menu_custom_button_label',
	array(
		'label'    => esc_html__( 'Menu Custom Button Label', 'dark-fitness' ),
		'section'  => 'dark_fitness_header_options',
		'settings' => 'dark_fitness_menu_custom_button_label',
		'type'     => 'text',
		'active_callback' => 'dark_fitness_is_topbar_enabled',
	)
);

// Header Options - Custom Button URL.
$wp_customize->add_setting(
	'dark_fitness_menu_custom_button_url',
	array(
		'default'           => '#',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'dark_fitness_menu_custom_button_url',
	array(
		'label'    => esc_html__( 'Menu Button URL', 'dark-fitness' ),
		'section'  => 'dark_fitness_header_options',
		'settings' => 'dark_fitness_menu_custom_button_url',
		'type'     => 'url',
		'active_callback' => 'dark_fitness_is_topbar_enabled',
	)
);

// Header Options - Enable Social Icons.
$wp_customize->add_setting(
	'dark_fitness_enable_social',
	array(
		'sanitize_callback' => 'dark_fitness_sanitize_switch',
		'default'           => true,
	)
);

$wp_customize->add_control(
	new Dark_Fitness_Toggle_Switch_Custom_Control(
		$wp_customize,
		'dark_fitness_enable_social',
		array(
			'label'   => esc_html__( 'Enable Social', 'dark-fitness' ),
			'description' => esc_html__( 'If you want to add a social icon you need to go to Dashboard = Appearance = Menus then create a new menu now add Custom Links then add proper links then choose Social then click Create Menu.', 'dark-fitness' ),
			'section' => 'dark_fitness_header_options',
			'active_callback' => 'dark_fitness_is_topbar_enabled',
		)
	)
);


// Add Separator Custom Control
$wp_customize->add_setting( 'dark_fitness_menu_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Dark_Fitness_Separator_Custom_Control( $wp_customize, 'dark_fitness_menu_separator', array(
	'label' => __( 'Menu Settings', 'dark-fitness' ),
	'section' => 'dark_fitness_header_options',
	'settings' => 'dark_fitness_menu_separator',
)));

$wp_customize->add_setting( 'dark_fitness_menu_font_size', array(
    'default'           => 15,
    'sanitize_callback' => 'absint',
) );

// Add control for site title size
$wp_customize->add_control( 'dark_fitness_menu_font_size', array(
    'type'        => 'number',
    'section'     => 'dark_fitness_header_options',
    'label'       => __( 'Menu Font Size ', 'dark-fitness' ),
    'input_attrs' => array(
        'min'  => 10,
        'max'  => 100,
        'step' => 1,
    ),
));

$wp_customize->add_setting( 'dark_fitness_menu_text_transform', array(
    'default'           => 'capitalize',
    'sanitize_callback' => 'sanitize_text_field',
) );

// Add control for menu text transform
$wp_customize->add_control( 'dark_fitness_menu_text_transform', array(
    'type'     => 'select',
    'section'  => 'dark_fitness_header_options', 
    'label'    => __( 'Menu Text Transform', 'dark-fitness' ),
    'choices'  => array(
        'none'       => __( 'None', 'dark-fitness' ),
        'capitalize' => __( 'Capitalize', 'dark-fitness' ),
        'uppercase'  => __( 'Uppercase', 'dark-fitness' ),
        'lowercase'  => __( 'Lowercase', 'dark-fitness' ),
    ),
) );

// Menu Text Color 
$wp_customize->add_setting(
	'dark_fitness_menu_text_color', 
	array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize, 
		'dark_fitness_menu_text_color', 
		array(
			'label' => __('Menu Color', 'dark-fitness'),
			'section' => 'dark_fitness_header_options',
		)
	)
);

// Sub Menu Text Color 
$wp_customize->add_setting(
	'dark_fitness_sub_menu_text_color', 
	array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize, 
		'dark_fitness_sub_menu_text_color', 
		array(
			'label' => __('Sub Menu Color', 'dark-fitness'),
			'section' => 'dark_fitness_header_options',
		)
	)
);

// ----------------------------------------SITE IDENTITY----------------------------------------------------

$wp_customize->add_setting( 'dark_fitness_site_title_size', array(
    'default'           => 30, // Default font size in pixels
    'sanitize_callback' => 'absint', // Sanitize the input as a positive integer
) );

// Add control for site title size
$wp_customize->add_control( 'dark_fitness_site_title_size', array(
    'type'        => 'number',
    'section'     => 'title_tagline', // You can change this section to your preferred section
    'label'       => __( 'Site Title Font Size ', 'dark-fitness' ),
    'input_attrs' => array(
        'min'  => 10,
        'max'  => 100,
        'step' => 1,
    ),
) );

// Site Logo - Enable Setting.
$wp_customize->add_setting(
	'dark_fitness_enable_site_logo',
	array(
		'default'           => true, // Default is to display the logo.
		'sanitize_callback' => 'dark_fitness_sanitize_switch', // Sanitize using a custom switch function.
	)
);

$wp_customize->add_control(
	new Dark_Fitness_Toggle_Switch_Custom_Control(
		$wp_customize,
		'dark_fitness_enable_site_logo',
		array(
			'label'    => esc_html__( 'Enable Site Logo', 'dark-fitness' ),
			'section'  => 'title_tagline', // Section to add this control.
			'settings' => 'dark_fitness_enable_site_logo',
		)
	)
);

// Site Title - Enable Setting.
$wp_customize->add_setting(
	'dark_fitness_enable_site_title_setting',
	array(
		'default'           => false,
		'sanitize_callback' => 'dark_fitness_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Dark_Fitness_Toggle_Switch_Custom_Control(
		$wp_customize,
		'dark_fitness_enable_site_title_setting',
		array(
			'label'    => esc_html__( 'Enable Site Title', 'dark-fitness' ),
			'section'  => 'title_tagline',
			'settings' => 'dark_fitness_enable_site_title_setting',
		)
	)
);

// Tagline - Enable Setting.
$wp_customize->add_setting(
	'dark_fitness_enable_tagline_setting',
	array(
		'default'           => false,
		'sanitize_callback' => 'dark_fitness_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Dark_Fitness_Toggle_Switch_Custom_Control(
		$wp_customize,
		'dark_fitness_enable_tagline_setting',
		array(
			'label'    => esc_html__( 'Enable Site Tagline', 'dark-fitness' ),
			'section'  => 'title_tagline',
			'settings' => 'dark_fitness_enable_tagline_setting',
		)
	)
);

$wp_customize->add_setting('dark_fitness_site_logo_width', array(
    'default'           => 100,
    'sanitize_callback' => 'dark_fitness_sanitize_range_value',
));

$wp_customize->add_control(new Dark_Fitness_Customize_Range_Control($wp_customize, 'dark_fitness_site_logo_width', array(
    'label'       => __('Adjust Site Logo Width', 'dark-fitness'),
    'description' => __('This setting controls the Width of Site Logo', 'dark-fitness'),
    'section'     => 'title_tagline',
    'settings'    => 'dark_fitness_site_logo_width',
    'input_attrs' => array(
        'min'  => 0,
        'max'  => 400,
        'step' => 5,
    ),
)));

// ---------------------------------------- ANIMATION ----------------------------------------------------

$wp_customize->add_setting( 'dark_fitness_animation_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );
$wp_customize->add_control( new Dark_Fitness_Separator_Custom_Control( $wp_customize, 'dark_fitness_animation_separator', array(
	'label' => __( 'Enable / Disable Animation', 'dark-fitness' ),
	'section' => 'dark_fitness_general_options',
	'settings' => 'dark_fitness_animation_separator',
) ) );
// Animation Enable / Disable
$wp_customize->add_setting('dark_fitness_enable_animation',array(
		'default'           => true,
		'sanitize_callback' => 'dark_fitness_sanitize_switch',
	)
);
$wp_customize->add_control(
	new Dark_Fitness_Toggle_Switch_Custom_Control($wp_customize,'dark_fitness_enable_animation',array(
			'label'   => esc_html__( 'Enable Animation', 'dark-fitness' ),
			'section' => 'dark_fitness_general_options',
		)
	)
);

// Topbar Padding Setting
$wp_customize->add_setting('dark_fitness_topbar_padding',array(
		'default' => '',
		'sanitize_callback' => 'absint'
	)
);
$wp_customize->add_control('dark_fitness_topbar_padding',array(
		'label' => __('Topbar Padding','dark-fitness'),
		'section' => 'dark_fitness_header_options',
		'type' => 'number',
		'input_attrs' => array(
			'min' => 0,
			'max' => 50,
			'step' => 1
		)
	)
);